Subject: RE: (ngtrans) I-D ACTION:draft-ietf-ngtrans-isatap-03.txt (fwd)

From: Pekka Savola <[email-masked]>
Date: Fri, 8 Feb 2002 22:48:36 +0200 (EET)

didn't make it through for some reason, let's see if better luck this 
time.

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords

---------- Forwarded message ----------
Date: Fri, 8 Feb 2002 10:39:28 +0200 (EET)
From: Pekka Savola <[email-masked]>
To: Dave Thaler <[email-masked]>
Cc: Fred L. Templin <[email-masked]>, [email-masked],
     [email-masked]
Subject: RE: (ngtrans) I-D ACTION:draft-ietf-ngtrans-isatap-03.txt

On Thu, 7 Feb 2002, Dave Thaler wrote:
> > > 4.1.  ISATAP Interface Identifier Construction
> > > [...]
> > >       0xFF         TSD is interpreted based on TSE as follows:
> > >
> > >                      TSE          TSD Interpretation
> > >                    ---          ------------------
> > >                    0x00-0xFD    RESERVED for future IANA use
> > >                    0xFE         TSD contains 24-bit EUI-48 intf id
> > > [...]
> > > (to the end of section 4.1)
> > >
> > > ==> this seems like a very bad case of overspecification.  _What_
> use is
> > > this, really?  Why would anyone need EUI-48 special case for ISATAP?
> 
> This was discussed at the interim meeting in Seattle.
> As a transition mechanism, ease of debugging and management is
> important.
>
> Using a well known format means that you can pretty-print embedded
> IPv4 addresses, and the usefulness of this should not be underestimated.

I don't understand what you're saying.. could you elaborate?

Note: if EUI48 cruft was removed, one could still pretty-print ISATAP, as
FE tells this is an ISATAP address with IPv4 embedded:

3FFE:FFFF:0:0:0:5EFE:0909:0909 as 3FFE:FFFF::5EFE:9.9.9.9

However, I see zero need in supporting "mac-address" based schemes (FF + 
FE) under the ISATAP-reserved OUI, which, as far as I can tell, the EUI48 
is all about?

-- 
Pekka Savola                 "Tell me of difficulties surmounted,
Netcore Oy                   not those you stumble over and fall"
Systems. Networks. Security.  -- Robert Jordan: A Crown of Swords